### Hierarchy

- TestItem
  - AtomTest
    - AtomWebTest

## Index

### Constructors

- constructor

### Properties

- app
- logText

### Methods

- createViewModel
- delay
- dispose
- init
- log

## Constructors

### constructor

- new AtomTest(app?: MockApp): AtomTest

- - Defined in src/unit/AtomTest.ts:6

  #### Parameters

  - ##### Default value app: MockApp = new MockApp()

  #### Returns AtomTest

## Properties

### Protected app

app: MockApp

- Defined in src/unit/AtomTest.ts:8

### logText

logText: string

Inherited from TestItem.logText

- Defined in node_modules/@web-atoms/unit-test/dist/TestItem.d.ts:2

## Methods

### createViewModel

- createViewModel<T>(c: IClassOf<T>): Promise<T>

- - Defined in src/unit/AtomTest.ts:12

  #### Type parameters

  - #### T: AtomViewModel

  #### Parameters

  - ##### c: IClassOf<T>

  #### Returns Promise<T>

### delay

- delay(n: number): Promise<any>

- Inherited from TestItem.delay

  - Defined in node_modules/@web-atoms/unit-test/dist/TestItem.d.ts:6

  #### Parameters

  - ##### n: number

  #### Returns Promise<any>

### dispose

- dispose(): Promise<any>

- Inherited from TestItem.dispose

  - Defined in node_modules/@web-atoms/unit-test/dist/TestItem.d.ts:4

  #### Returns Promise<any>

### init

- init(): Promise<any>

- Inherited from TestItem.init

  - Defined in node_modules/@web-atoms/unit-test/dist/TestItem.d.ts:3

  #### Returns Promise<any>

### log

- log(text: string): void

- Inherited from TestItem.log

  - Defined in node_modules/@web-atoms/unit-test/dist/TestItem.d.ts:5

  #### Parameters

  - ##### text: string

  #### Returns void

Generated using TypeDoc